Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTimeLine.CurveShape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTimeLine.CurveShape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTimeLine

    public static final class QTimeLine.CurveShape

extends java.lang.Enum
implements QtEnumerator

This enum describes the default shape of `QTimeLine`'s value curve. The default, shape is `EaseInOutCurve` . The curve defines the relation between the value and the timeline.

See also:
  setCurveShape().

See Also:
  Serialized Form

Field Summary
`static QTimeLine.CurveShape` | `CosineCurve` The value grows cosinusoidally.
`static QTimeLine.CurveShape` | `EaseInCurve` The value starts growing slowly, then increases in speed.
`static QTimeLine.CurveShape` | `EaseInOutCurve` The value starts growing slowly, then runs steadily, then grows slowly again.
`static QTimeLine.CurveShape` | `EaseOutCurve` The value starts growing steadily, then ends slowly.
`static QTimeLine.CurveShape` | `LinearCurve` The value grows linearly (e.g., if the duration is 1000 ms, the value at time 500 ms is 0.5).
`static QTimeLine.CurveShape` | `SineCurve` The value grows sinusoidally.

Method Summary
`static QTimeLine.CurveShape` | `resolve(int value)` Returns the QTimeLine$CurveShape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTimeLine.CurveShape` | `valueOf(java.lang.String name)`
`static QTimeLine.CurveShape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EaseInCurve

    public static final QTimeLine.CurveShape EaseInCurve

  The value starts growing slowly, then increases in speed.

### EaseOutCurve

    public static final QTimeLine.CurveShape EaseOutCurve

  The value starts growing steadily, then ends slowly.

### EaseInOutCurve

    public static final QTimeLine.CurveShape EaseInOutCurve

  The value starts growing slowly, then runs steadily, then grows slowly again.

### LinearCurve

    public static final QTimeLine.CurveShape LinearCurve

  The value grows linearly (e.g., if the duration is 1000 ms, the value at time 500 ms is 0.5).

### SineCurve

    public static final QTimeLine.CurveShape SineCurve

  The value grows sinusoidally.

### CosineCurve

    public static final QTimeLine.CurveShape CosineCurve

  The value grows cosinusoidally.

Method Detail

### values

    public static QTimeLine.CurveShape[] values()

### valueOf

    public static QTimeLine.CurveShape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTimeLine.CurveShape resolve(int value)

  Returns the QTimeLine$CurveShape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD